Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.localization.definition
Class LocalizationResource

    java.lang.Object
      com.bea.netuix.application.localization.definition.LocalizationResource

All Implemented Interfaces
  Serializable

    public class LocalizationResource

extends Object
implements Serializable

A `LocalizationResource` is used to localize portal resources such as book, pages, portlets, etc. There can be many LocalizationResources per resource, but only one per locale.

See Also
  Serialized Form

Field Summary
`static String` | `BOOK_TYPE`
`static String` | `COMMUNITY_TYPE`
`static String` | `DESKTOP_TYPE`
`static String` | `LAYOUT_TYPE`
`protected LocalizationLocale` | `localizationLocale`
`static String` | `LOOK_AND_FEEL_TYPE`
`static String` | `MENU_TYPE`
`static String` | `PAGE_TYPE`
`static String` | `PLACEHOLDER_TYPE`
`static String` | `PORTAL_APPLICATION`
`static String` | `PORTAL_TYPE`
`static String` | `PORTLET_CATEGORY_TYPE`
`static String` | `PORTLET_TYPE`
`static String` | `SHELL_TYPE`
`static String` | `TEMPLATE_TYPE`
`static String` | `THEME_TYPE`

Constructor Summary
`LocalizationResource(Locale locale, String title, String description)`
`LocalizationResource(Locale locale, String encoding, String title, String description)`
`LocalizationResource(Locale locale, String title, String description, String type, String application)`
`LocalizationResource(Locale locale, String encoding, String title, String description, String type, String application)`
`LocalizationResource(LocalizationLocale localizationLocale, String title, String description, String type, String application)`

Method Summary
`boolean` | `equivalent(LocalizationResource other)` Are these two locales equivalent in title, description and locale
`String` | `getApplication()`
`String` | `getDescription()`
`LocalizationIntersectionId` | `getLocalizationIntersectionId()`
`LocalizationLocale` | `getLocalizationLocale()`
`String` | `getTitle()`
`String` | `getType()`
`void` | `setApplication(String application)`
`void` | `setDescription(String description)`
`void` | `setLocalizationLocale(LocalizationLocale localizationLocale)`
`void` | `setTitle(String title)`
`void` | `setType(String type)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PORTAL_APPLICATION

    public static final String PORTAL_APPLICATION

See Also
  Constants Summary

### DESKTOP_TYPE

    public static final String DESKTOP_TYPE

See Also
  Constants Summary

### PORTAL_TYPE

    public static final String PORTAL_TYPE

See Also
  Constants Summary

### SHELL_TYPE

    public static final String SHELL_TYPE

See Also
  Constants Summary

### LOOK_AND_FEEL_TYPE

    public static final String LOOK_AND_FEEL_TYPE

See Also
  Constants Summary

### BOOK_TYPE

    public static final String BOOK_TYPE

See Also
  Constants Summary

### LAYOUT_TYPE

    public static final String LAYOUT_TYPE

See Also
  Constants Summary

### PLACEHOLDER_TYPE

    public static final String PLACEHOLDER_TYPE

See Also
  Constants Summary

### PAGE_TYPE

    public static final String PAGE_TYPE

See Also
  Constants Summary

### PORTLET_TYPE

    public static final String PORTLET_TYPE

See Also
  Constants Summary

### PORTLET_CATEGORY_TYPE

    public static final String PORTLET_CATEGORY_TYPE

See Also
  Constants Summary

### MENU_TYPE

    public static final String MENU_TYPE

See Also
  Constants Summary

### THEME_TYPE

    public static final String THEME_TYPE

See Also
  Constants Summary

### COMMUNITY_TYPE

    public static final String COMMUNITY_TYPE

See Also
  Constants Summary

### TEMPLATE_TYPE

    public static final String TEMPLATE_TYPE

See Also
  Constants Summary

### localizationLocale

    protected LocalizationLocale localizationLocale

Constructor Detail

### LocalizationResource

    public LocalizationResource(Locale locale,
                                String title,
                                String description)

### LocalizationResource

    public LocalizationResource(Locale locale,
                                String title,
                                String description,
                                String type,
                                String application)

### LocalizationResource

    public LocalizationResource(LocalizationLocale localizationLocale,
                                String title,
                                String description,
                                String type,
                                String application)

### LocalizationResource

    public LocalizationResource(Locale locale,
                                String encoding,
                                String title,
                                String description)

### LocalizationResource

    public LocalizationResource(Locale locale,
                                String encoding,
                                String title,
                                String description,
                                String type,
                                String application)

Method Detail

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

### getLocalizationLocale

    public LocalizationLocale getLocalizationLocale()

### getTitle

    public String getTitle()

### getDescription

    public String getDescription()

### setLocalizationLocale

    public void setLocalizationLocale(LocalizationLocale localizationLocale)

### setTitle

    public void setTitle(String title)

### setDescription

    public void setDescription(String description)

### getType

    public String getType()

### setType

    public void setType(String type)

### getApplication

    public String getApplication()

### setApplication

    public void setApplication(String application)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equivalent

    public boolean equivalent(LocalizationResource other)

  Are these two locales equivalent in title, description and locale

  Parameters
    `other` - the other localizationResource
  Returns
    true if they are equivalent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.